_lscp_channel_info_t Struct Reference

`#include <client.h>`

## Data Fields

char * | engine_name
int | audio_device
int | audio_channels
int * | audio_routing
char * | instrument_file
int | instrument_nr
char * | instrument_name
int | instrument_status
int | midi_device
int | midi_port
int | midi_channel
int | midi_map
float | volume
int | mute
int | solo

## Detailed Description

Channel info cache struct.

## Field Documentation

int _lscp_channel_info_t::audio_channels

Referenced by client_test_channel_info(), lscp_channel_info_init(), and lscp_get_channel_info().

int _lscp_channel_info_t::audio_device

Referenced by client_test_channel_info(), lscp_channel_info_init(), and lscp_get_channel_info().

int* _lscp_channel_info_t::audio_routing

Referenced by client_test_channel_info(), lscp_channel_info_free(), lscp_channel_info_init(), and lscp_get_channel_info().

char* _lscp_channel_info_t::engine_name

Referenced by client_test_channel_info(), lscp_channel_info_free(), lscp_channel_info_init(), and lscp_get_channel_info().

char* _lscp_channel_info_t::instrument_file

Referenced by client_test_channel_info(), lscp_channel_info_free(), lscp_channel_info_init(), and lscp_get_channel_info().

char* _lscp_channel_info_t::instrument_name

Referenced by client_test_channel_info(), lscp_channel_info_free(), lscp_channel_info_init(), and lscp_get_channel_info().

int _lscp_channel_info_t::instrument_nr

Referenced by client_test_channel_info(), lscp_channel_info_init(), and lscp_get_channel_info().

int _lscp_channel_info_t::instrument_status

Referenced by client_test_channel_info(), lscp_channel_info_init(), and lscp_get_channel_info().

int _lscp_channel_info_t::midi_channel

Referenced by client_test_channel_info(), lscp_channel_info_init(), and lscp_get_channel_info().

int _lscp_channel_info_t::midi_device

Referenced by client_test_channel_info(), lscp_channel_info_init(), and lscp_get_channel_info().

int _lscp_channel_info_t::midi_map

Referenced by client_test_channel_info(), lscp_channel_info_init(), and lscp_get_channel_info().

int _lscp_channel_info_t::midi_port

Referenced by client_test_channel_info(), lscp_channel_info_init(), and lscp_get_channel_info().

int _lscp_channel_info_t::mute

Referenced by client_test_channel_info(), lscp_channel_info_init(), and lscp_get_channel_info().

int _lscp_channel_info_t::solo

Referenced by client_test_channel_info(), lscp_channel_info_init(), and lscp_get_channel_info().

float _lscp_channel_info_t::volume

Referenced by client_test_channel_info(), lscp_channel_info_init(), and lscp_get_channel_info().

The documentation for this struct was generated from the following file:

- client.h